[package]
name = "ds-physics"
version = "0.9.0"
edition.workspace = true
license.workspace = true

[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
wasm-bindgen = "0.2"
serde = { version = "1", features = ["derive"] }
serde-wasm-bindgen = "0.6"
js-sys = "0.3"
rapier2d = { version = "0.22", features = ["serde-serialize"] }
nalgebra = "0.33"

[dev-dependencies]

[profile.release]
opt-level = "s"
lto = true
